Bug 192156 - [PATCH] security/trousers symbol clash with databases/mysql*-[server|client], breaking e.g. audio/amarok-kde4
Summary: [PATCH] security/trousers symbol clash with databases/mysql*-[server|client],...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-27 04:43 UTC by freebsd
Modified: 2017-07-09 04:15 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2014-07-27 04:43:13 UTC
databases/mysql*-[server|client] and security/trousers (a dependency of security/gnutls) both define the symbol my_init. This causes trouble for ports that try to link against both mysql and gnutls, such as audio/amarok-kde4 (if one of its many dependencies has been configured to use security/gnutls).

The fix is available upstream:

http://sourceforge.net/p/trousers/trousers/ci/7d207231355a5702cbdcf24628e8c1e2e3722593/
Comment 1 John Marino freebsd_committer 2014-07-27 15:14:05 UTC
over to maintainer
Comment 2 Raphael Kubo da Costa freebsd_committer 2014-08-04 20:51:53 UTC
Ping? It's still affecting Amarok users, and the fix in trousers looks simple enough.
Comment 3 commit-hook freebsd_committer 2014-08-06 06:39:47 UTC
A commit references this bug:

Author: hrs
Date: Wed Aug  6 06:39:22 UTC 2014
New revision: 364153
URL: http://svnweb.freebsd.org/changeset/ports/364153

Log:
  Remove reference to my_init and my_fini.  These functions were causing
  symbol conflicts with other software like MySQL.

  PR:	192156

Changes:
  head/security/trousers/Makefile
  head/security/trousers/files/patch-src-tspi-rpc-hosttable.c
Comment 4 Hiroki Sato freebsd_committer 2014-08-06 06:41:32 UTC
Sorry for the delay.  Fixed in r364153.  Thank you for your report.